Summary:	Plasma 5 plugin based library to create window decorations
Name:		kdecoration
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)

%description
Plasma 5 plugin based library to create window decorations.

KDecoration2 is a library to create window decorations. These window
decorations can be used by for example an X11 based window manager which
re-parents a Client window to a window decoration frame.

#----------------------------------------------------------------------------

%define kdecorations2_major 5
%define libkdecorations2 %mklibname kdecorations2_ %{kdecorations2_major}

%package -n %{libkdecorations2}
Summary:	Plasma 5 window decorations shared library
Group:		System/Libraries

%description -n %{libkdecorations2}
Plasma 5 window decorations shared library.

%files -n %{libkdecorations2}
%{_kde5_libdir}/libkdecorations2.so.%{kdecorations2_major}*

#----------------------------------------------------------------------------

%define kdecorations2private_major 5
%define libkdecorations2private %mklibname kdecorations2private %{kdecorations2private_major}

%package -n %{libkdecorations2private}
Summary:	Plasma 5 window decorations shared library
Group:		System/Libraries

%description -n %{libkdecorations2private}
Plasma 5 window decorations shared library.

%files -n %{libkdecorations2private}
%{_kde5_libdir}/libkdecorations2private.so.%{kdecorations2private_major}*

#----------------------------------------------------------------------------

%define devkf5decoration %mklibname kf5decoration -d

%package -n %{devkf5decoration}
Summary:	Development files for Plasma 5 window decorations library
Group:		Development/KDE and Qt
Requires:	%{libkdecorations2} = %{EVRD}
Requires:	%{libkdecorations2private} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kdecoration2-devel = %{version}

%description -n %{devkf5decoration}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5decoration}
%{_kde5_includedir}/KDecoration2
%{_kde5_includedir}/KF5/kdecoration2_version.h
%{_kde5_libdir}/cmake/KDecoration2
%{_kde5_libdir}/libkdecorations2.so
%{_kde5_libdir}/libkdecorations2private.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (797b5e3) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (097903d) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (08c470c) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (c59f23c) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (579a3f1) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (ff5d843) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (3cd0ede) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (f6619bc) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (96196d0) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (72d3c99) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (2dee2db) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (7674455) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (35c82ae) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (6f0be5e) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (ec3396d) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (5dff067) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (d1d90f9) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (29feb18) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (041645b) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (151fe0f) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (214b0b3) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (2c69c38) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (84687e9) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (c26d4b6) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (2232143) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (b28a29f) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (b4edfca) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (9d20ade) New version 5.3.1

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.0-1
- (eccd714) New version 5.3.0

* Thu Mar 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.2.2-1
- (f04a841) New version 5.2.2


